Search documentation of wx

# View Source wxGridCellFloatEditor (wx v2.4.2)

Functions for wxGridCellFloatEditor class

The editor for floating point numbers data.

See: `wxGridCellEditor`, `wxGridCellAutoWrapStringEditor` (not implemented in wx), `wxGridCellBoolEditor`, `wxGridCellChoiceEditor`, `wxGridCellEnumEditor` (not implemented in wx), `wxGridCellNumberEditor`, `wxGridCellTextEditor`, `wxGridCellDateEditor` (not implemented in wx)

This class is derived (and can use functions) from: `wxGridCellEditor`

wxWidgets docs: wxGridCellFloatEditor

# Summary

## Types

wxGridCellFloatEditor()

## Functions

destroy(This)

Destroys the object.

new()
new(Options)

Float cell editor ctor.

setParameters(This, Params)

The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default)

# Types

Link to this type

# wxGridCellFloatEditor()

View Source

    -type wxGridCellFloatEditor() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxGridCellFloatEditor()) -> ok.

Destroys the object.

Link to this function

# new()

View Source

    -spec new() -> wxGridCellFloatEditor().

Link to this function

# new(Options)

View Source

    -spec new([Option]) -> wxGridCellFloatEditor()
                 when Option :: {width, integer()} | {precision, integer()} | {format, integer()}.

Float cell editor ctor.

Link to this function

# setParameters(This, Params)

View Source

    -spec setParameters(This, Params) -> ok
                           when This :: wxGridCellFloatEditor(), Params :: unicode:chardata().

The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default)